@import '../../../theme/general/params.scss';

.form
{
  &__element
  {
    display: flex;
    flex-direction: column;
    justify-content: baseline;
  }

  &__field
  {
    font-family: $font-primary;
    background-color: #FAFAFA;
    padding: 12px 30px 12px 31px;
    font-size: 16px;
    border: none;
    outline: none;
  }

  &__field::placeholder
  {
    color: rgba(101, 101, 101, 0.74);
    text-transform: uppercase;
  }

  &__field_error
  {
    transition: .5s ease;
    border: 1px solid $text-color-fourth;
  }

  &__error
  {
    color: $text-color-fourth;
    text-align: center;
  }

  &__success
  {
    color: green;
    text-align: center;
  }

  &__textarea
  {
    resize: none;
  }
}